diff --git a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/name/TypeDesignationDaoHibernateImplTest.java b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/name/TypeDesignationDaoHibernateImplTest.java
index c338c2b2ab..d465da4c37 100644
--- a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/name/TypeDesignationDaoHibernateImplTest.java
+++ b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/name/TypeDesignationDaoHibernateImplTest.java
@@ -160,7 +160,7 @@ public class TypeDesignationDaoHibernateImplTest extends CdmTransactionalIntegra
 		desig1.setUuid(UUID.fromString("ceca086e-e8d3-444e-abfb-c47f76835130"));
 
 //		//REMOVE
-//		desig1.setOriginalNameString("orig");
+//		desig1.setOriginalInfo("orig");
 //
 		name1.addTypeDesignation(desig1, true);
 
diff --git a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/facade/DerivedUnitFacade.java b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/facade/DerivedUnitFacade.java
index 32f24e60db..11cab528ec 100644
--- a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/facade/DerivedUnitFacade.java
+++ b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/facade/DerivedUnitFacade.java
@@ -2340,9 +2340,9 @@ public class DerivedUnitFacade {
 	 * Creates an {@link IOriginalSource orignal source} or type ,
 	 * adds it to the specimen and returns it.
 	 */
-	public IdentifiableSource addSource(OriginalSourceType type, Reference reference, String microReference, String originalNameString) {
+	public IdentifiableSource addSource(OriginalSourceType type, Reference reference, String microReference, String originalInfo) {
 		IdentifiableSource source = IdentifiableSource.NewInstance(type, null, null, reference, microReference);
-		source.setOriginalNameString(originalNameString);
+		source.setOriginalInfo(originalInfo);
 		addSource(source);
 		return source;
 	}
diff --git a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/DescriptiveDataSetService.java b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/DescriptiveDataSetService.java
index 45f674c624..a3fd312e30 100644
--- a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/DescriptiveDataSetService.java
+++ b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/DescriptiveDataSetService.java
@@ -771,11 +771,11 @@ public class DescriptiveDataSetService
             clone.getSources().forEach(source -> {
                 if(descriptionElementBase instanceof CategoricalData){
                     TextData label = new DefaultCategoricalDescriptionBuilder().build((CategoricalData) descriptionElementBase, Arrays.asList(new Language[]{Language.DEFAULT()}));
-                    source.setOriginalNameString(label.getText(Language.DEFAULT()));
+                    source.setOriginalInfo(label.getText(Language.DEFAULT()));
                 }
                 else if(descriptionElementBase instanceof QuantitativeData){
                     TextData label = new DefaultQuantitativeDescriptionBuilder().build((QuantitativeData) descriptionElementBase, Arrays.asList(new Language[]{Language.DEFAULT()}));
-                    source.setOriginalNameString(label.getText(Language.DEFAULT()));
+                    source.setOriginalInfo(label.getText(Language.DEFAULT()));
                 }
             });
         }
diff --git a/cdmlib-test/src/main/resources/dbscripts/001-cdm.h2.sql b/cdmlib-test/src/main/resources/dbscripts/001-cdm.h2.sql
index 94b644e95f..7781dc042f 100644
--- a/cdmlib-test/src/main/resources/dbscripts/001-cdm.h2.sql
+++ b/cdmlib-test/src/main/resources/dbscripts/001-cdm.h2.sql
@@ -3651,7 +3651,7 @@ CREATE SEQUENCE PUBLIC.SYSTEM_SEQUENCE_10A55F0A_EE57_42DB_8046_6240A60AD0EC STAR
         CITATIONMICROREFERENCE varchar(255),
         IDINSOURCE varchar(255),
         IDNAMESPACE varchar(255),
-        ORIGINALNAMESTRING varchar(255),
+        ORIGINALINFO varchar(255),
         SOURCETYPE varchar(255),
         CREATEDBY_ID integer,
         UPDATEDBY_ID integer,
@@ -3689,7 +3689,7 @@ CREATE SEQUENCE PUBLIC.SYSTEM_SEQUENCE_10A55F0A_EE57_42DB_8046_6240A60AD0EC STAR
         CITATIONMICROREFERENCE varchar(255),
         IDINSOURCE varchar(255),
         IDNAMESPACE varchar(255),
-        ORIGINALNAMESTRING varchar(255),
+        ORIGINALINFO varchar(255),
         SOURCETYPE varchar(255),
         CREATEDBY_ID integer,
         UPDATEDBY_ID integer,
diff --git a/cdmlib-test/src/main/resources/eu/etaxonomy/cdm/database/schema/dataset.dtd b/cdmlib-test/src/main/resources/eu/etaxonomy/cdm/database/schema/dataset.dtd
index a5974281f9..9a6627911e 100644
--- a/cdmlib-test/src/main/resources/eu/etaxonomy/cdm/database/schema/dataset.dtd
+++ b/cdmlib-test/src/main/resources/eu/etaxonomy/cdm/database/schema/dataset.dtd
@@ -1294,7 +1294,7 @@
     UUID CDATA #IMPLIED
     UPDATED CDATA #IMPLIED
     CITATIONMICROREFERENCE CDATA #IMPLIED
-    ORIGINALNAMESTRING CDATA #IMPLIED
+    ORIGINALINFO CDATA #IMPLIED
     ORDERRELEVANT CDATA #IMPLIED
     NAME CDATA #IMPLIED
     PERIOD_START  CDATA #IMPLIED
@@ -1340,7 +1340,7 @@
     UUID CDATA #IMPLIED
     UPDATED CDATA #IMPLIED
     CITATIONMICROREFERENCE CDATA #IMPLIED
-    ORIGINALNAMESTRING CDATA #IMPLIED
+    ORIGINALINFO CDATA #IMPLIED
     CREATEDBY_ID CDATA #IMPLIED
     UPDATEDBY_ID CDATA #IMPLIED
     CITATION_ID CDATA #IMPLIED
@@ -1767,7 +1767,7 @@
     UUID CDATA #IMPLIED
     UPDATED CDATA #IMPLIED
     CITATIONMICROREFERENCE CDATA #IMPLIED
-    ORIGINALNAMESTRING CDATA #IMPLIED
+    ORIGINALINFO CDATA #IMPLIED
     DOUBTFUL CDATA #IMPLIED
     RULECONSIDERED CDATA #IMPLIED
     CODEEDITION CDATA #IMPLIED
@@ -1802,7 +1802,7 @@
     UUID CDATA #IMPLIED
     UPDATED CDATA #IMPLIED
     CITATIONMICROREFERENCE CDATA #IMPLIED
-    ORIGINALNAMESTRING CDATA #IMPLIED
+    ORIGINALINFO CDATA #IMPLIED
     DOUBTFUL CDATA #IMPLIED
     RULECONSIDERED CDATA #IMPLIED
     CODEEDITION CDATA #IMPLIED
@@ -2233,7 +2233,7 @@
     UUID CDATA #IMPLIED
     UPDATED CDATA #IMPLIED
     CITATIONMICROREFERENCE CDATA #IMPLIED
-    ORIGINALNAMESTRING CDATA #IMPLIED
+    ORIGINALINFO CDATA #IMPLIED
     DOUBTFUL CDATA #IMPLIED
     RULECONSIDERED CDATA #IMPLIED
     CODEEDITION CDATA #IMPLIED
@@ -2268,7 +2268,7 @@
     UUID CDATA #IMPLIED
     UPDATED CDATA #IMPLIED
     CITATIONMICROREFERENCE CDATA #IMPLIED
-    ORIGINALNAMESTRING CDATA #IMPLIED
+    ORIGINALINFO CDATA #IMPLIED
     DOUBTFUL CDATA #IMPLIED
     RULECONSIDERED CDATA #IMPLIED
     CODEEDITION CDATA #IMPLIED
@@ -2301,7 +2301,7 @@
     UUID CDATA #IMPLIED
     UPDATED CDATA #IMPLIED
     CITATIONMICROREFERENCE CDATA #IMPLIED
-    ORIGINALNAMESTRING CDATA #IMPLIED
+    ORIGINALINFO CDATA #IMPLIED
     RULECONSIDERED CDATA #IMPLIED
     CODEEDITION CDATA #IMPLIED
     CREATEDBY_ID CDATA #IMPLIED
@@ -2334,7 +2334,7 @@
     UUID CDATA #IMPLIED
     UPDATED CDATA #IMPLIED
     CITATIONMICROREFERENCE CDATA #IMPLIED
-    ORIGINALNAMESTRING CDATA #IMPLIED
+    ORIGINALINFO CDATA #IMPLIED
     RULECONSIDERED CDATA #IMPLIED
     CODEEDITION CDATA #IMPLIED
     CREATEDBY_ID CDATA #IMPLIED
@@ -2365,7 +2365,7 @@
     UUID CDATA #IMPLIED
     UPDATED CDATA #IMPLIED
     CITATIONMICROREFERENCE CDATA #IMPLIED
-    ORIGINALNAMESTRING CDATA #IMPLIED
+    ORIGINALINFO CDATA #IMPLIED
     IDINSOURCE CDATA #IMPLIED
     IDNAMESPACE CDATA #IMPLIED
     CREATEDBY_ID CDATA #IMPLIED
@@ -2386,7 +2386,7 @@
     UUID CDATA #IMPLIED
     UPDATED CDATA #IMPLIED
     CITATIONMICROREFERENCE CDATA #IMPLIED
-    ORIGINALNAMESTRING CDATA #IMPLIED
+    ORIGINALINFO CDATA #IMPLIED
     IDINSOURCE CDATA #IMPLIED
     IDNAMESPACE CDATA #IMPLIED
     CREATEDBY_ID CDATA #IMPLIED
@@ -3653,7 +3653,7 @@
     UUID CDATA #IMPLIED
     UPDATED CDATA #IMPLIED
     CITATIONMICROREFERENCE CDATA #IMPLIED
-    ORIGINALNAMESTRING CDATA #IMPLIED
+    ORIGINALINFO CDATA #IMPLIED
     DOUBTFUL CDATA #IMPLIED
     CREATEDBY_ID CDATA #IMPLIED
     UPDATEDBY_ID CDATA #IMPLIED
@@ -3686,7 +3686,7 @@
     UUID CDATA #IMPLIED
     UPDATED CDATA #IMPLIED
     CITATIONMICROREFERENCE CDATA #IMPLIED
-    ORIGINALNAMESTRING CDATA #IMPLIED
+    ORIGINALINFO CDATA #IMPLIED
     DOUBTFUL CDATA #IMPLIED
     CREATEDBY_ID CDATA #IMPLIED
     UPDATEDBY_ID CDATA #IMPLIED
@@ -3813,7 +3813,7 @@
     CREATED CDATA #IMPLIED
     UUID CDATA #IMPLIED
     UPDATED CDATA #IMPLIED
-    ORIGINALNAMESTRING CDATA #IMPLIED
+    ORIGINALINFO CDATA #IMPLIED
     NOTDESIGNATED CDATA #IMPLIED
     CONSERVEDTYPE CDATA #IMPLIED
     LECTOTYPE CDATA #IMPLIED
@@ -3850,7 +3850,7 @@
     CREATED CDATA #IMPLIED
     UUID CDATA #IMPLIED
     UPDATED CDATA #IMPLIED
-    ORIGINALNAMESTRING CDATA #IMPLIED
+    ORIGINALINFO CDATA #IMPLIED
     NOTDESIGNATED CDATA #IMPLIED
     CREATEDBY_ID CDATA #IMPLIED
     UPDATEDBY_ID CDATA #IMPLIED
